---
title: "接続を取得"
slug: "retrieve-a-connection"
abstract: "Sitecore Personalize Connection REST APIを使って接続を取得する方法を説明しています。"
---
# 接続を取得

GET /v2/connections/<connectionRef>

接続を取得。

属性

種類

概要

例

connectionRef

ストリング

そのつながりの参照。  
  
接続の参照がわからない場合は、まず [接続を取得し](https://doc.sitecore.com/personalize/ja/developers/api/rest-apis/connection-rest-api/retrieve-connections.html)てください。

47c20b31-b5d8-492f-94e5-064958716c21

レスポンスは接続を含むオブジェクトです。このオブジェクトを使って [接続をテスト](https://doc.sitecore.com/personalize/ja/developers/api/rest-apis/connection-rest-api/test-a-connection.html "Test a connection")できます。

curl -X GET '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \\
-H 'Authorization: Bearer <accessToken>' \\
-H 'Accept: application/json'

{
 "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
 "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
 "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
 "name": "Weather Data System",
 "description": "Weather Data System",
 "modifiedByRef": "bfe5bd9a-f37b-4b9d-a3e4-169674d251ea",
 "modifiedAt": "2026-01-30T22:\`02:23\`.401Z",
 "revision": 1,
 "archived": false,
 "auth": {
 "authType": "NONE"
 },
 "request": {
 "requestType": "POST",
 "connectionUrl": "https://example.com/api/1.0/messages/send.json",
 "requestBody": "{\\"key\\":\\"${key}\\",\\"message\\":\\"${message}\\"}"
 },
 "exampleValue": "{\\"key\\":\\"RkeVXoh0NB5K8nGUH-Ew7w\\",\\"message\\":{\\"text\\":\\"Some text\\",\\"subject\\":\\"Connection!\\",\\"from\_email\\":\\"support@sitecore.com\\",\\"from\_name\\":\\"Sitecore\\",\\"to\\":{\\"email\\":\\"email@sitecore.com\\",\\"name\\":\\"firstName\\",\\"type\\":\\"to\\"}}}",
 "inputMappings": 
 {
 "label": "Key",
 "key": "key",
 "type": "string",
 "exampleValue": "RkeVXoh0NB5K8nGUH-Ew7w",
 "mapping": ""
 },
 {
 "label": "Message",
 "key": "message",
 "type": "object",
 "exampleValue": "{\\"text\\":\\"Some text\\",\\"subject\\":\\"Connection!\\",\\"from\_email\\":\\"support@sitecore.com\\",\\"from\_name\\":\\"Sitecore\\",\\"to\\":{\\"email\\":\\"email@sitecore.com\\",\\"name\\":\\"firstName\\",\\"type\\":\\"to\\"}}",
 "mapping": ""
 }
 ,
 "outputMappings": ,
 "customHeaders": 
 {
 "name": "Accept",
 "value": "application/json"
 },
 {
 "name": "Accept-Encoding",
 "value": "gzip"
 },
 {
 "name": "Content-Type",
 "value": "application/json"
 }
 ,
 "urlParameters": ,
 "systemType": "DESTINATION",
 "connectionTimeout": 1000,
 "socketTimeout": 1000,
 "icon": "assets/images/channel-images/email.svg"
}